Bug 1559982 - [3.6][Backport] oc adm migrate storage produces error as signature annotations forbidden
Summary: [3.6][Backport] oc adm migrate storage produces error as signature annotation...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.6.z
Assignee: Michal Minar
QA Contact: Dongbo Yan
URL:
Whiteboard:
Depends On: 1557607 1559991 1559994 1559997 1560311
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-23 16:16 UTC by Michal Minar
Modified: 2018-04-30 04:01 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Image validation used to validate old image object. Consequence: An invalid image could be pushed to etcd. Fix: Validation has been changed to validate new image object. Result: It's no longer possible to upload an invalid image object.
Clone Of: 1557607
Environment:
Last Closed: 2018-04-30 04:00:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1233 None None None 2018-04-30 04:01:03 UTC

Comment 1 Michal Minar 2018-03-23 16:42:57 UTC
OSE 3.6 PR: https://github.com/openshift/ose/pull/1155

Comment 2 Dongbo Yan 2018-04-04 18:05:27 UTC
Verified
openshift v3.6.173.0.112
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

Comment 6 Samuel Munilla 2018-04-18 04:00:54 UTC
Moving this between advisories and state has to change to MODIFIED to do that. Changing back to previous state now.

Comment 8 Wei Sun 2018-04-20 03:34:43 UTC
Changing back to previous state with the same reason in #comment 6

Comment 10 Wenjing Zheng 2018-04-23 09:37:26 UTC
Changing back to previous state since it was moved to ON_QA state by advisory without no any version change.

Comment 14 errata-xmlrpc 2018-04-30 04:00:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1233


Note You need to log in before you can comment on or make changes to this bug.